#
# spec file for package submount (Version 0.9)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  pam-devel resmgr

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool pam-devel perl resmgr rpm

Name:         submount
URL:          http://submount.sourceforge.net/
Version:      0.9
Release:      33.6
Summary:      Auto Mounting of Removable Media
License:      GPL
Group:        System/Filesystems
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Autoreqprov:  on
Source0:      %name-%version.tar.bz2
Source1:      Makefile.modules
Patch:        submount.diff
Patch1:       resmgr.diff
Patch2:       disable-statfs.diff
Patch4:       minix.diff
Patch5:       message.diff
Patch6:       fix-oops.diff
Patch7:       hard-autodetect.diff

%description
Submount is a system for automatically mounting and unmounting
removable media drives like CD-ROMs and floppy disk drives. Once
installed, it allows removable media drives to be accessed as if they
were permanently mounted.

Example line for a CD-ROM drive in /etc/fstab: /dev/cdrom /media/cdrom
subfs fs=cdfss,ro 0 0

Example line for a floppy drive in /etc/fstab: /dev/floppy
/media/floppy subfs fs=floppyfss,sync



Authors:
--------
    Eugene S. Weiss <eweiss@sbclobal.net>

%package -n km_submount
Summary:      Automounting of Removable Media
Group:        System/Filesystems

%description -n km_submount
Submount is a system for automatically mounting and unmounting
removable media drives, like CD-ROMs and floppy disk drives. Once
installed, it allows removable media drives to be accessed as if they
were permanently mounted.

Example line for a CD-ROM drive in /etc/fstab : /dev/cdrom /media/cdrom
subfs fs=cdfss,ro 0 0

Example line for a floppy drive in /etc/fstab : /dev/floppy
/media/floppy subfs fs=floppyfss,sync



Authors:
--------
    Eugene S. Weiss <eweiss@sbclobal.net>

%prep
%setup -q
%patch
%patch1
%patch2
%patch4
%patch5
%patch6
%patch7

%build
export CFLAGS="$RPM_OPT_FLAGS"
cd submountd-%version
aclocal
automake -a
autoconf
./configure \
  --prefix=/ \
  --libdir=/%_lib \
  --mandir=%_mandir \
  --enable-resmgr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/src/kernel-modules/
mv subfs-%version/Makefile subfs-%version/Makefile.module
cp %SOURCE1 subfs-%version/Makefile
rm -f subfs-%version/*.orig
cp -a subfs-%version $RPM_BUILD_ROOT/usr/src/kernel-modules/subfs
cd submountd-%version
make DESTDIR=$RPM_BUILD_ROOT install
if [ -e /usr/src/linux/Makefile.suse ]; then
    cd ../subfs-%version
    make -f /usr/src/linux/Makefile.suse modules
    make -f /usr/src/linux/Makefile.suse clean
fi

%files
%defattr(-,root,root)
%doc COPYING README
/sbin/submountd
/sbin/net-submountd
%_mandir/*/*

%files -n km_%name
%defattr(-,root,root)
%dir /usr/src/kernel-modules
/usr/src/kernel-modules/subfs

%changelog -n submount
* Fri Jul 30 2004 - adrian@suse.de
- disable blacklist when trying filesystem types after guessing
  failed in automatic mode. Fixes #43193 and #43399.
* Wed Jun 02 2004 - adrian@suse.de
- try all fs when filesystem is not guessed and no fss=
  parameter is given. fixes mounts of filesystem which aren't
  handled by the guess_fs_type function. (#41526)
* Fri May 28 2004 - adrian@suse.de
- fix possible incorrect string handling in submountd-resmgr patch
  (seen by mvidner)
* Wed Mar 31 2004 - adrian@suse.de
- fix endless growing options with every mount attempt
  (with procuid usage)
* Fri Mar 26 2004 - adrian@suse.de
- english is not my language ....
* Fri Mar 26 2004 - adrian@suse.de
- fix spelling error in kernel message
* Mon Mar 22 2004 - agruen@suse.de
- Add module test facility.
* Mon Mar 22 2004 - adrian@suse.de
- fix Makefile again...
* Sat Mar 20 2004 - adrian@suse.de
- fix possible memory corruption, when using procuid
  (fixes #36425 finaly hopefully)
- further Makefile changes to make a plain make really work ...
* Sat Mar 20 2004 - adrian@suse.de
- recreate patches to void .orig files
- remove .orig files before packageing km_submount
* Fri Mar 19 2004 - adrian@suse.de
- make a simple "make" in km_subfs working again (#36501)
- check for zero pointers in open().
  this may fixes a kernel crash (#36425)
* Wed Mar 17 2004 - adrian@suse.de
- let unsuccessfull mount log entry look less like a bug
* Mon Mar 15 2004 - adrian@suse.de
- add minix fs suport to floppyfss (#35937)
* Sat Mar 13 2004 - adrian@suse.de
- fix option handling, extra options got removed by one char
  on every mount, if procuid was used (#35754)
* Thu Mar 11 2004 - agruen@suse.de
- Typo.
* Wed Mar 10 2004 - adrian@suse.de
- disable statfs, so "df" and other tools do not trigger to mount
  the media, which might cause error messages or hang, if the block
  device driver hangs (#35495, #35094)
* Tue Mar 02 2004 - adrian@suse.de
- clean up resmgr patch and fix a corner case
  (thanks to Eugene to point me to the problems)
* Fri Feb 27 2004 - adrian@suse.de
- update to version 0.9
  * Ooops fix got merged
* Thu Feb 26 2004 - adrian@suse.de
- add resmgr support
* Thu Feb 26 2004 - adrian@suse.de
- update to version 0.8.4
  * user-mode patch is obsolete, a "procuid" argument exists now
  * nodev, noexec and nosuid arguments works again.
* Wed Feb 25 2004 - adrian@suse.de
- update to version 0.8.1
  * PAGE_SIZE fixes got merged
- fix a possible Ooops
* Mon Feb 23 2004 - adrian@suse.de
- mount file systems with uid and gid of triggered user, if possible
* Sat Feb 21 2004 - adrian@suse.de
- update to version 0.8
  * kernel 2.6.3 hang fix
  * fs requests are working now
* Fri Feb 13 2004 - adrian@suse.de
- update to version 0.7
* Wed Jan 14 2004 - agruen@suse.de
- Add Makefile for 2.6.
- Remove kernel-source-2 from #needeforbuild: Apparently it is
  not needed; it would also introduce a nasty package dependency
  loop.
* Wed Dec 10 2003 - schwab@suse.de
- Don't use PAGE_SIZE, dammit!
* Wed Dec 10 2003 - adrian@suse.de
- update to version 0.6
  * support also net filesystems via /sbin/net-submountd
* Fri Nov 21 2003 - adrian@suse.de
- fix installation of kernel modul
* Thu Nov 06 2003 - schwab@suse.de
- Don't use PAGE_SIZE, dammit.
* Sat Oct 25 2003 - adrian@suse.de
- update to version 0.5
- kernel module is for kernel 2.6 now
* Mon Oct 06 2003 - schwab@suse.de
- Don't use PAGE_SIZE.
* Mon Jul 21 2003 - adrian@suse.de
- initial package of version 0.2
